$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.33.194-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.33.194-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'A24BFC3DC4CD6699CD3F7480A2A8DD0CF64C4E3952DB66C4167B6C6254421AFB'
  checksumType = 'sha256'
  checksum64 = 'A24BFC3DC4CD6699CD3F7480A2A8DD0CF64C4E3952DB66C4167B6C6254421AFB'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.33.194-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
